Callisto4Bootloader: LCDIF_Type Struct Reference

Callisto4Bootloader

Data Fields
LCDIF_Type Struct Reference
Mapping Information » Edma_request » Iomuxc_pads » Device Peripheral Access Layer » LCDIF Peripheral Access Layer

`#include <MIMXRT1062.h>`

## Data Fields

__IO uint32_t | CTRL
__IO uint32_t | CTRL_SET
__IO uint32_t | CTRL_CLR
__IO uint32_t | CTRL_TOG
__IO uint32_t | CTRL1
__IO uint32_t | CTRL1_SET
__IO uint32_t | CTRL1_CLR
__IO uint32_t | CTRL1_TOG
__IO uint32_t | CTRL2
__IO uint32_t | CTRL2_SET
__IO uint32_t | CTRL2_CLR
__IO uint32_t | CTRL2_TOG
__IO uint32_t | TRANSFER_COUNT
uint8_t | RESERVED_0 [12]
__IO uint32_t | CUR_BUF
uint8_t | RESERVED_1 [12]
__IO uint32_t | NEXT_BUF
uint8_t | RESERVED_2 [28]
__IO uint32_t | VDCTRL0
__IO uint32_t | VDCTRL0_SET
__IO uint32_t | VDCTRL0_CLR
__IO uint32_t | VDCTRL0_TOG
__IO uint32_t | VDCTRL1
uint8_t | RESERVED_3 [12]
__IO uint32_t | VDCTRL2
uint8_t | RESERVED_4 [12]
__IO uint32_t | VDCTRL3
uint8_t | RESERVED_5 [12]
__IO uint32_t | VDCTRL4
uint8_t | RESERVED_6 [220]
__IO uint32_t | BM_ERROR_STAT
uint8_t | RESERVED_7 [12]
__IO uint32_t | CRC_STAT
uint8_t | RESERVED_8 [12]
__I uint32_t | STAT
uint8_t | RESERVED_9 [460]
__IO uint32_t | PIGEONCTRL0
__IO uint32_t | PIGEONCTRL0_SET
__IO uint32_t | PIGEONCTRL0_CLR
__IO uint32_t | PIGEONCTRL0_TOG
__IO uint32_t | PIGEONCTRL1
__IO uint32_t | PIGEONCTRL1_SET
__IO uint32_t | PIGEONCTRL1_CLR
__IO uint32_t | PIGEONCTRL1_TOG
__IO uint32_t | PIGEONCTRL2
__IO uint32_t | PIGEONCTRL2_SET
__IO uint32_t | PIGEONCTRL2_CLR
__IO uint32_t | PIGEONCTRL2_TOG
uint8_t | RESERVED_10 [1104]
struct {
__IO uint32_t LCDIF_Type::PIGEON_0
uint8_t LCDIF_Type::RESERVED_0 [12]
__IO uint32_t LCDIF_Type::PIGEON_1
uint8_t LCDIF_Type::RESERVED_1 [12]
__IO uint32_t LCDIF_Type::PIGEON_2
uint8_t LCDIF_Type::RESERVED_2 [28]
} | PIGEON [12]
__IO uint32_t | LUT_CTRL
uint8_t | RESERVED_11 [12]
__IO uint32_t | LUT0_ADDR
uint8_t | RESERVED_12 [12]
__IO uint32_t | LUT0_DATA
uint8_t | RESERVED_13 [12]
__IO uint32_t | LUT1_ADDR
uint8_t | RESERVED_14 [12]
__IO uint32_t | LUT1_DATA

## Detailed Description

LCDIF - Register Layout Typedef

Definition at line 25116 of file MIMXRT1062.h.

The documentation for this struct was generated from the following file:

- device/MIMXRT1062.h